Bug 1103841 - RFE: Add support for changing the storage node address
Summary: RFE: Add support for changing the storage node address
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server, Storage Node
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: JON 4.0.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On: 1103840 1120418
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-02 17:25 UTC by John Sanda
Modified: 2019-06-24 14:53 UTC (History)
3 users (show)

(edit)
Clone Of: 1103840
(edit)
Last Closed: 2019-06-24 14:53:52 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1079598 None None None Never

Internal Trackers: 1079598

Description John Sanda 2014-06-02 17:25:36 UTC
+++ This bug was initially created as a clone of Bug #1103840 +++

Description of problem:
There is currently no support for changing/updating storage node addresses after installation except through the (un)deploy processes. Users need this ability if they specify the wrong hostname/address during installation. This capability is also needed if the user simply needs the storage node to listen on a different address.

I have started a design document that captures various scenarios and the work involved - https://docs.jboss.org/author/display/RHQ/Changing+Storage+Node+Address.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 John Sanda 2014-08-29 12:28:54 UTC
Bumping the target release due to time constraints. Work has been started
though in the storage_workflow branch.

Comment 3 Filip Brychta 2019-06-24 14:53:52 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.